/* VARIABLES */
:root {
	--page-bg: #ffffff;
	--button-bg: #eeeeee;
	--button-text: #222222;
	--button-border: #888888;
}

/* main page settings */
* {
	box-sizing: border-box;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	transition: 0.04s;
}

html, body {
	width: 100%;
	height: 100%;
	margin: 0;
	background-color: var(--page-bg);
}
body {
	display: flex;
	justify-content: center;
	align-items: center;
}

/* page components */
div#bottom {
	position: absolute;
	left: 4px;
	bottom: 4px;

	font-size: 0.67em;
}

div.tab {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 16px;
}

div.panel {
	display: flex;
	gap: 8px;
}

/* class modifiers */
.hidden {
	display: none;
}